Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime
Interface RuntimeFactory

All Known Implementing Classes:
  RuntimeFactoryImpl

    public interface RuntimeFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `RuntimePackage`

Field Summary
`static RuntimeFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`ModelQueryContext` | `createModelQueryContext()` Returns a new object of class 'Model Query Context'.
`ModelQueryParameterValue` | `createModelQueryParameterValue()` Returns a new object of class 'Model Query Parameter Value'.
`ModelQueryResult` | `createModelQueryResult()` Returns a new object of class 'Model Query Result'.
`RuntimePackage` | `getRuntimePackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    static final RuntimeFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createModelQueryContext

    ModelQueryContext createModelQueryContext()

  Returns a new object of class 'Model Query Context'.

  Returns:
    a new object of class 'Model Query Context'.

### createModelQueryParameterValue

    ModelQueryParameterValue createModelQueryParameterValue()

  Returns a new object of class 'Model Query Parameter Value'.

  Returns:
    a new object of class 'Model Query Parameter Value'.

### createModelQueryResult

    ModelQueryResult createModelQueryResult()

  Returns a new object of class 'Model Query Result'.

  Returns:
    a new object of class 'Model Query Result'.

### getRuntimePackage

    RuntimePackage getRuntimePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD